Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class ExtendedPartialViewContext

    java.lang.Object
      javax.faces.context.PartialViewContext
          org.richfaces.context.ExtendedPartialViewContext

    public abstract class ExtendedPartialViewContext

extends javax.faces.context.PartialViewContext

Author:
  Nick Belaevski

Field Summary

Fields inherited from class javax.faces.context.PartialViewContext
`ALL_PARTIAL_PHASE_CLIENT_IDS, PARTIAL_EXECUTE_PARAM_NAME, PARTIAL_RENDER_PARAM_NAME`

Constructor Summary
`ExtendedPartialViewContext(javax.faces.context.FacesContext facesContext)`

Method Summary
`void` | `appendOnbeforedomupdate(Object handler)`
`void` | `appendOncomplete(Object handler)`
`protected javax.faces.context.FacesContext` | `getFacesContext()`
`static ExtendedPartialViewContext` | `getInstance(javax.faces.context.FacesContext facesContext)`
`Object` | `getOnbeforedomupdate()`
`Object` | `getOncomplete()`
`Map<String,Object>` | `getResponseComponentDataMap()`
`Object` | `getResponseData()`
`boolean` | `isLimitRender()`
`void` | `release()`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setResponseData(Object responseData)`

Methods inherited from class javax.faces.context.PartialViewContext
`getExecuteIds, getPartialResponseWriter, getRenderIds, isAjaxRequest, isExecuteAll, isPartialRequest, isRenderAll, processPartial, setPartialRequest, setRenderAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedPartialViewContext

    public ExtendedPartialViewContext(javax.faces.context.FacesContext facesContext)

Method Detail

### getFacesContext

    protected javax.faces.context.FacesContext getFacesContext()

### getInstance

    public static ExtendedPartialViewContext getInstance(javax.faces.context.FacesContext facesContext)

### release

    public void release()

  Specified by:
    `release` in class `javax.faces.context.PartialViewContext`

### getResponseData

    public Object getResponseData()

### setResponseData

    public void setResponseData(Object responseData)

### appendOncomplete

    public void appendOncomplete(Object handler)

### getOncomplete

    public Object getOncomplete()

### appendOnbeforedomupdate

    public void appendOnbeforedomupdate(Object handler)

### getOnbeforedomupdate

    public Object getOnbeforedomupdate()

### getResponseComponentDataMap

    public Map<String,Object> getResponseComponentDataMap()

### isLimitRender

    public boolean isLimitRender()

### setLimitRender

    public void setLimitRender(boolean limitRender)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.